Name:       libyaml
Version:    0.2.5
Release:    1
Summary:    A C library for parsing and emitting YAML
License:    MIT
URL:        http://pyyaml.org/
Source0:    http://pyyaml.org/download/libyaml/yaml-%{version}.tar.gz

BuildRequires:  gcc

%description
${summary}.

%package devel
Summary:   Development files for LibYAML applications
Requires:  libyaml = %{version}-%{release}, pkgconfig

%description devel
%{summary}.

%package help
Summary:    Documents for using LibYAML
BuildArch:  noarch

%description help
%{summary}.


%prep
%autosetup -n yaml-%{version} -p1

%build
%configure --enable-static=no
%make_build

%install
%make_install

rm -vf %{buildroot}%{_libdir}/*.la

soname=$(readelf -d %{buildroot}%{_libdir}/libyaml.so | awk '$2 == "(SONAME)" {print $NF}' | tr -d '[]')
rm -f %{buildroot}%{_libdir}/libyaml.so
echo "INPUT($soname)" > %{buildroot}%{_libdir}/libyaml.so

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license License
%doc ReadMe.md
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/yaml-0.1.pc
%{_includedir}/yaml.h

%files help
%doc doc/html

%changelog
* Mon Aug 3 2020 cheng quan <chengquan3@huawei.com> - 0.2.5-1
- Update software to v0.2.5

* Wed Mar 18 2020 Leo Fang <leofang_94@163.com> - 0.2.2-2
- Fix overwrite the soname symlink bug in spec

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.2.2-1
- Package init
